changeset 869:7be2220d52c5

ringtools/examples: add compile.sh like in e1-experiments
author Mychaela Falconia <falcon@freecalypso.org>
date Mon, 28 Mar 2022 06:03:34 +0000
parents f6c379f0cbbe
children 16a5abe66490
files .hgignore ringtools/examples/compile.sh
diffstat 2 files changed, 16 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/.hgignore	Mon Mar 28 05:53:58 2022 +0000
+++ b/.hgignore	Mon Mar 28 06:03:34 2022 +0000
@@ -4,6 +4,7 @@
 \.elf$
 \.bin$
 \.srec$
+\.bz$
 
 ^ffstools/cal2text/fc-cal2text$
 ^ffstools/caltools/fc-add-ramps$
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/ringtools/examples/compile.sh	Mon Mar 28 06:03:34 2022 +0000
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ $# != 1 ]
+then
+	echo "usage: $0 test_melody_name" 1>&2
+	exit 1
+fi
+
+if [ ! -f "$1.pwt" ]
+then
+	echo "error: can't find $1.pwt" 1>&2
+	exit 1
+fi
+
+exec ../fc-pwt-comp "$1.pwt" "$1.bz"